ST_3DMakeBox
Prev | 8.17. Bounding Box Functions | Next

## Name

ST_3DMakeBox — Creates a BOX3D defined by two 3D point geometries.

## Synopsis

`box3d ST_3DMakeBox(`geometry point3DLowLeftBottom, geometry point3DUpRightTop`)`;

## Description

Creates a box3d defined by two 3D Point geometries.

This function supports 3D and will not drop the z-index.

Changed: 2.0.0 In prior versions this used to be called ST_MakeBox3D

## Examples

    SELECT ST_3DMakeBox(ST_MakePoint(-989502.1875, 528439.5625, 10),
    	ST_MakePoint(-987121.375 ,529933.1875, 10)) As abb3d

    --bb3d--
    --------
    BOX3D(-989502.1875 528439.5625 10,-987121.375 529933.1875 10)

## See Also

ST_MakePoint, ST_SetSRID, ST_SRID

Prev | Up | Next
ST_MakeBox2D | Home | ST_XMax